import { Injectable } from '@angular/core';

@Injectable({
  providedIn: 'root'
})
export class DateUtilsService {

  constructor() { }

  timeToDisplayDate(time: string): string{
    return this.timeToDate(time).toLocaleDateString();
  }

  timeToDate(time: string): Date {
    let d: Date = new Date()
    d.setTime(Number(time))
    return d;
  }

  dateToTime(date: Date): string {
    return String(date.getTime());
  }

  dateStringToDate(date: string): Date {
    return new Date(date);
  }

  dateStringToTime(date: string): string{
    return String(this.dateStringToDate(date).getTime());
  }

  dateStringToDisplayDate(date: string): string{
    return this.timeToDisplayDate(this.dateStringToTime(date))
  }
}
